Category : amazon-linux

I have a requirement of updating the docker version to 19.03.11 or later on the amazonlinx2 and that package is not listed in the package list. If I execute amazon-linux-extras install docker=19.03.11 it won’t be succeeded and says "Nothing to do" But, if I just execute only amazon-linux-extras install docker it will install the version ..

Read more

I am trying to build this public.ecr.aws/lambda/python:3.6 based Dockerfile with a requirements.txt file that contains some libraries that need gcc/g++ to build. I’m getting an error of a missing Python.h file despite the fact that I installed the python development package and /usr/include/python3.6m/Python.h exists in the file system. Dockerfile FROM public.ecr.aws/lambda/python:3.6 COPY requirements.txt / RUN ..

Read more

Anyone having command or details to install es (Spanish) langpack on Amazon-linux image? Currently from the os container, locale -a gives below result and I need to install es langpack. bash-4.2# locale -a C C.utf8 POSIX en_AG en_AU en_AU.utf8 en_BW en_BW.utf8 en_CA en_CA.utf8 en_DK en_DK.utf8 en_GB en_GB.iso885915 en_GB.utf8 en_HK en_HK.utf8 en_IE en_IE.utf8 [email protected] en_IL en_IN ..

Read more